Loading...
Searching...
No Matches
ElasticSearchDataProvider::ElasticSearchIndexesDataProvider Class Reference

The ElasticSearch indexes root for providing record-based data providers for each index. More...

`#include <ElasticSearchIndexesDataProvider.qc.dox.h>`

Inheritance diagram for ElasticSearchDataProvider::ElasticSearchIndexesDataProvider:
[legend]

## Public Member Functions

| constructor (*hash< auto > options)
| Creates the object from constructor options.
| constructor (RestClient::RestClient rest)
| Creates the object from a REST connection.
*list< hash< DataProvider::DataProviderSummaryInfo > > | getChildProviderSummaryInfo ()
| Return data provider summary info.
*string | getDesc ()
| Returns the data provider description.
string | getName ()
| Returns the data provider name.
hash< DataProvider::DataProviderInfo > | getStaticInfoImpl ()
| Returns data provider static info.
Public Member Functions inherited from ElasticSearchDataProvider::ElasticSearchDataProviderBase
| constructor ()
| Creates the object.
| constructor (RestClient rest)
| Creates the object from a REST connection.
| setLogger (*LoggerInterface logger)
| Accepts a LoggerInterface object for logging (or clears it)

## Public Attributes

const | ProviderInfo = ...
| Provider info.
const | ProviderSummaryInfo = ...
| Provider summary info.

## Protected Member Functions

*hash< auto > | getAllIndices ()
| Returns a hash of indices.
*DataProvider::AbstractDataProvider | getChildProviderImpl (string name)
| Returns the given child provider or nothing if the given child is unknown.
*list< string > | getChildProviderNamesImpl ()
| Returns a list of child data provider names, if any.
*hash< auto > | getIndex (string name)
| Returns a hash of the given index or nothing.

## Detailed Description

The ElasticSearch indexes root for providing record-based data providers for each index.

## Member Function Documentation

## getAllIndices()

*hash< auto > ElasticSearchDataProvider::ElasticSearchIndexesDataProvider::getAllIndices | ( |  | ) |

protected

Returns a hash of indices.

Returns
  a hash of indices

## getChildProviderImpl()

*DataProvider::AbstractDataProvider ElasticSearchDataProvider::ElasticSearchIndexesDataProvider::getChildProviderImpl | ( | string | name | ) |

protected

Returns the given child provider or nothing if the given child is unknown.

Returns
  the given child provider or nothing if the given child is unknown

See also
  getChildProviderEx()

## getChildProviderNamesImpl()

*list< string > ElasticSearchDataProvider::ElasticSearchIndexesDataProvider::getChildProviderNamesImpl | ( |  | ) |

protected

Returns a list of child data provider names, if any.

Returns
  a list of child data provider names, if any

## getIndex()

*hash< auto > ElasticSearchDataProvider::ElasticSearchIndexesDataProvider::getIndex | ( | string | name | ) |

protected

Returns a hash of the given index or nothing.

Returns
  a hash of the given index or nothing